Bug 1057991 - Review Request: the_silver_searcher - Super-fast text searching tool
Review Request: the_silver_searcher - Super-fast text searching tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dridi Boukelmoune
Fedora Extras Quality Assurance
:
: ag (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-26 06:32 EST by Kenjiro Nakayama
Modified: 2015-07-21 08:47 EDT (History)
9 users (show)

See Also:
Fixed In Version: the_silver_searcher-0.21.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-21 19:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dridi.boukelmoune: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kenjiro Nakayama 2014-01-26 06:32:30 EST
Spec URL: http://diy-kenjiro.rhcloud.com/rpms/the_silver_searcher.spec
SRPM URL: http://diy-kenjiro.rhcloud.com/rpms/the_silver_searcher-0.18.1-1.20140118git.fc19.src.rpm
Description: The Silver Searcher is a code searcing tool similar to ack, with a focus on speed.
Fedora Account System Username: kenjiro
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6453244

This is my first package, so I need a sponsor.
Comment 1 Kenjiro Nakayama 2014-01-27 09:09:55 EST
*** Bug 1008063 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Spura 2014-01-28 03:15:29 EST
It's not so nice to hijack another review request, which still seems to be going on.

Did the original submitter say, that he discontinues with his review request somewhere?
Comment 3 Kenjiro Nakayama 2014-01-28 03:36:17 EST
(Reply to Thomas's comment #2)

I decided by Comment #33 on bz #1008063. 
And I sent e-mail personally to original submitter, altough I got no reply.
If I should waite more, I do. please give me advice.
Comment 4 Thomas Spura 2014-01-28 04:42:19 EST
Ah, so it seems someone else took the review over, but didn't open a new review request as you did and closed the original one as a duplicate (Which they should.).

I guess, it's up to you and the other take over from #1008063 Comment #37.
Comment 5 Kenjiro Nakayama 2014-01-28 05:00:42 EST
(Reply to Thomas's comment #4)

"Kenjiro Nakayama" at comment #37 on bz #1008063 is my another account.
I should have used same account with bz #1008063, Sorry.
Comment 6 Thomas Spura 2014-01-31 06:12:25 EST
I'm sorry for not noticing that you already took over the review request in the other bug...
Comment 7 Kenjiro Nakayama 2014-02-01 09:05:21 EST
(In reply to Thomas Spura from comment #6)
No problem, Thomas. It's all right.
The problem is I have still not got any review and sponsor...
Comment 10 Christopher Meng 2014-03-20 10:55:21 EDT
0.21 is available.  :)
Comment 11 Kenjiro Nakayama 2014-03-20 11:37:22 EDT
(In reply to Christopher Meng from comment #10)

Thanks,

Updated to 0.21.0

Updated Spec URL: http://diy-kenjiro.rhcloud.com/rpms/the_silver_searcher.spec
Updated SRPM URL: http://diy-kenjiro.rhcloud.com/rpms/the_silver_searcher-0.21.0-1.20140321git.fc20.src.rpm
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6655188
Comment 12 Kenjiro Nakayama 2014-04-17 04:32:21 EDT
(In reply to Kenjiro Nakayama from comment #0)

> This is my first package, so I need a sponsor.

Since I released other package[1] with Sponsor, I don't need a sponsor.
I need a reviewer only.

Thanks,

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1074147

Kenjiro
Comment 13 Dridi Boukelmoune 2014-04-20 16:22:34 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/dridi/fedora/_reviews/1057991-the_silver_searcher/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Upstream version seems to be 0.21.0 (not 0.21)
- Is /usr/share/the_silver_searcher/completions/ag.bashcomp.sh needed ?
  It's identical to /usr/share/bash-completion/completions/ag
- License is probably something like ASL 2.0 and BSD
- Missing the %checkout part in the changelog (is %checkout needed at all?)
- BuildRequires of bash-completion should rely on "pkgconfig" instead
  https://fedoraproject.org/wiki/Packaging:PkgConfigBuildRequires

Non issues: (do as you wish!)
===========
- Maybe sort the "BuildRequires" alphabetically ?
- Consider running the test suite in %check
- %defattr present but not needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 25 files have unknown license.
     Detailed output of licensecheck in
     /home/dridi/fedora/_reviews/1057991-the_silver_searcher/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/bash-
     completion(createrepo, bash-completion, rpmlint, yum, gvfs, glib2),
     /usr/share/bash-completion/completions(createrepo, firewalld, bash-
     completion, rpmlint, yum, gvfs, glib2)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: the_silver_searcher-0.21.0-1.20140321git.fc21.x86_64.rpm
          the_silver_searcher-0.21.0-1.20140321git.fc21.src.rpm
the_silver_searcher.x86_64: W: spelling-error %description -l en_US ack -> ac, ck, sack
the_silver_searcher.x86_64: W: incoherent-version-in-changelog 0.21.0-1 ['0.21.0-1.20140321git.fc21', '0.21.0-1.20140321git']
the_silver_searcher.src: W: spelling-error %description -l en_US ack -> ac, ck, sack
the_silver_searcher.src: W: file-size-mismatch 0.21.0-0b293cc.tar.gz = 49409, https://github.com/ggreer/the_silver_searcher/archive/0b293cc94544e415642321ed1c0553f8bf0c0d68/0.21.0-0b293cc.tar.gz = 49289
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint the_silver_searcher
the_silver_searcher.x86_64: W: spelling-error %description -l en_US ack -> ac, ck, sack
the_silver_searcher.x86_64: W: incoherent-version-in-changelog 0.21.0-1 ['0.21.0-1.20140321git.fc21', '0.21.0-1.20140321git']
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
the_silver_searcher (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    liblzma.so.5()(64bit)
    liblzma.so.5(XZ_5.0)(64bit)
    libpcre.so.1()(64bit)
    libpthread.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
the_silver_searcher:
    the_silver_searcher
    the_silver_searcher(x86-64)



Source checksums
----------------
https://github.com/ggreer/the_silver_searcher/archive/0b293cc94544e415642321ed1c0553f8bf0c0d68/0.21.0-0b293cc.tar.gz :
  CHECKSUM(SHA256) this package     : fb86ae1d782c6b4fef7b06b9df38dc5947d73fb518ec4b43a64a5232b72aa3df
  CHECKSUM(SHA256) upstream package : c17b65337161d6ae32e5ff61d50027ea49d55317e60ea74082deb9e51cf20709
diff -r also reports differences


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1057991
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 14 Kenjiro Nakayama 2014-04-20 21:10:29 EDT
Thanks! I will check it soon. 

But it's weird...My output of fedora-review is different. 
(I paste my output in below)

Kenjiro
~~~

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/knakayam/tmp/1057991-the_silver_searcher/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 25 files have unknown license.
     Detailed output of licensecheck in
     /home/knakayam/tmp/1057991-the_silver_searcher/licensecheck.txt
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/bash-
     completion(createrepo, bash-completion, rpmlint, yum, gvfs, glib2),
     /usr/share/bash-completion/completions(createrepo, firewalld, bash-
     completion, rpmlint, yum, gvfs, glib2)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: the_silver_searcher-0.21.0-1.20140321git.fc20.x86_64.rpm
          the_silver_searcher-0.21.0-1.20140321git.fc20.src.rpm
the_silver_searcher.x86_64: W: spelling-error %description -l en_US ack -> ac, ck, sack
the_silver_searcher.x86_64: W: incoherent-version-in-changelog 0.21.0-1 ['0.21.0-1.20140321git.fc20', '0.21.0-1.20140321git']
the_silver_searcher.src: W: spelling-error %description -l en_US ack -> ac, ck, sack
the_silver_searcher.src: W: file-size-mismatch 0.21.0-0b293cc.tar.gz = 49409, https://github.com/ggreer/the_silver_searcher/archive/0b293cc94544e415642321ed1c0553f8bf0c0d68/0.21.0-0b293cc.tar.gz = 49289
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint the_silver_searcher
the_silver_searcher.x86_64: W: spelling-error %description -l en_US ack -> ac, ck, sack
the_silver_searcher.x86_64: W: incoherent-version-in-changelog 0.21.0-1 ['0.21.0-1.20140321git.fc20', '0.21.0-1.20140321git']
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
the_silver_searcher (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    liblzma.so.5()(64bit)
    liblzma.so.5(XZ_5.0)(64bit)
    libpcre.so.1()(64bit)
    libpthread.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
the_silver_searcher:
    the_silver_searcher
    the_silver_searcher(x86-64)



Source checksums
----------------
https://github.com/ggreer/the_silver_searcher/archive/0b293cc94544e415642321ed1c0553f8bf0c0d68/0.21.0-0b293cc.tar.gz :
  CHECKSUM(SHA256) this package     : fb86ae1d782c6b4fef7b06b9df38dc5947d73fb518ec4b43a64a5232b72aa3df
  CHECKSUM(SHA256) upstream package : c17b65337161d6ae32e5ff61d50027ea49d55317e60ea74082deb9e51cf20709
diff -r also reports differences


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1057991
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAGi
Comment 15 Kenjiro Nakayama 2014-04-20 22:29:47 EDT
Ah!! Sorry, I have been misunderstood about "fedora-review" until now!
Please ignore my comment #14.

I will fix comment #13 which is reviewed by Drird.

Thanks,

Kenjiro
Comment 16 Kenjiro Nakayama 2014-04-21 09:21:39 EDT
Updated

Updated Spec URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher.spec
Updated SRPM URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher-0.21.0-1.20140421git.fc20.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6761103

~~~
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "BSD (2 clause)", "Unknown or generated". 25 files have unknown license.
>      Detailed output of licensecheck in
>      /home/dridi/fedora/_reviews/1057991-the_silver_searcher/licensecheck.txt

Changed
    License:        ASL 2.0
 -> License:        ASL 2.0 and BSD


> [!]: Changelog in prescribed format.

It means to "0.16-2" in the changelog?
I changed "0.16-2 -> 0.16.0-2".

I checked [1] and compared with my changelogs. But sorry if I misunderstood.

[1] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Changelogs


> [!]: %check is present and all tests pass.

I did not add %check section for the following reason.
 1. Upstream's test suite is bloken[2] now.
 2. The test suite looks not so important, just creating a few dummy files and search them.

If I should include %check section to test them, I will submit patch to upstream.

[2] https://github.com/ggreer/the_silver_searcher/issues/388
~~~

Thanks,

Kenjiro
Comment 17 Dridi Boukelmoune 2014-04-22 03:08:36 EDT
(In reply to Kenjiro Nakayama from comment #16)
> Updated
> 
> Updated Spec URL:
> http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/
> the_silver_searcher.spec
> Updated SRPM URL:
> http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/
> the_silver_searcher-0.21.0-1.20140421git.fc20.src.rpm
> Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6761103
> 
> ~~~
> > [!]: License field in the package spec file matches the actual license.
> >      Note: Checking patched sources after %prep for licenses. Licenses found:
> >      "BSD (2 clause)", "Unknown or generated". 25 files have unknown license.
> >      Detailed output of licensecheck in
> >      /home/dridi/fedora/_reviews/1057991-the_silver_searcher/licensecheck.txt
> 
> Changed
>     License:        ASL 2.0
>  -> License:        ASL 2.0 and BSD
> 
> 
> > [!]: Changelog in prescribed format.
> 
> It means to "0.16-2" in the changelog?
> I changed "0.16-2 -> 0.16.0-2".

You shouldn't change this in the changelog, upstream's 0.16 exists but not 0.16.0 (see below). Also please ignore my comment about the upstream version 0.21.0 vs 0.21, I don't remember why I put that, and it's clearly wrong.

> I checked [1] and compared with my changelogs. But sorry if I misunderstood.

You have the following Release tag:
Release: 1.%{checkout}%{?dist}

You should also have the %{checkout} part in your changelog (but hardcoded).

Warning from rpmlint:
> the_silver_searcher.x86_64: W: incoherent-version-in-changelog 0.21.0-1
> ['0.21.0-1.20140321git.fc20', '0.21.0-1.20140321git']

0.21.0-1 -> 0.21.0-1.20140321git

I'm also questioning the purpose of the %checkout macro, it doesn't look useful to me. My concern is that it's unrelated to upstream version scheme and that a packager mistake might break the upgrade path.

> > [!]: %check is present and all tests pass.
> 
> I did not add %check section for the following reason.
>  1. Upstream's test suite is bloken[2] now.
>  2. The test suite looks not so important, just creating a few dummy files
> and search them.
> 
> If I should include %check section to test them, I will submit patch to
> upstream.

It's up to you. This one is not a blocker, but I mentioned it because I prefer to run test suites when they exist upstream.

> ~~~
> 
> Thanks,
> 
> Kenjiro

You seem to have missed my summary of the issues to fix, I'll put it here again:

Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/dridi/fedora/_reviews/1057991-the_silver_searcher/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- Is /usr/share/the_silver_searcher/completions/ag.bashcomp.sh needed ?
  It's identical to /usr/share/bash-completion/completions/ag
- Missing the %checkout part in the changelog (is %checkout needed at all?)
- BuildRequires of bash-completion should rely on "pkgconfig" instead
  https://fedoraproject.org/wiki/Packaging:PkgConfigBuildRequires

Non issues: (do as you wish!)
===========
- Maybe sort the "BuildRequires" alphabetically ?
- Consider running the test suite in %check
- %defattr present but not needed

Best,
Dridi
Comment 18 Kenjiro Nakayama 2014-04-22 10:22:18 EDT
Updated

Updated Spec URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher.spec
Updated SRPM URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher-0.21.0-1.fc20.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6764985

~~~
> You shouldn't change this in the changelog, upstream's 0.16 exists but not 0.16.0 (see below). Also please ignore my comment about the upstream version 0.21.0 vs 0.21, I don't remember why I put that, and it's clearly wrong.

I changed back "0.16.0-2 -> 0.16-2".

> You should also have the %{checkout} part in your changelog (but hardcoded).

... (snip) ...

> I'm also questioning the purpose of the %checkout macro, it doesn't look useful to me. My concern is that it's unrelated to upstream version scheme and that a packager mistake might break the upgrade path.

I reconsidered about %checkout part, and I think it doesn't need it anymore. Previous version might need to update by the checkout, but it doesn't need anymore. So I deleted %checklog.

> You seem to have missed my summary of the issues to fix, I'll put it here again:

Yes... Sorry.

> Issues:
> =======
> - Sources used to build the package match the upstream source, as provided in
>   the spec URL.
>   Note: Upstream MD5sum check error, diff is in
>   /home/dridi/fedora/_reviews/1057991-the_silver_searcher/diff.txt
>   See: http://fedoraproject.org/wiki/Packaging/SourceURL

Updated

> - Is /usr/share/the_silver_searcher/completions/ag.bashcomp.sh needed ?
>   It's identical to /usr/share/bash-completion/completions/ag

Deleted, I also think it is not necessary.

- Missing the %checkout part in the changelog (is %checkout needed at all?)

Deleted %checkout part in the spec.

> - BuildRequires of bash-completion should rely on "pkgconfig" instead
>   https://fedoraproject.org/wiki/Packaging:PkgConfigBuildRequires

Changed to "BuildRequires:  pkgconfig(bash-completion)"

> Non issues: (do as you wish!)
> ===========
> - Maybe sort the "BuildRequires" alphabetically ?

Yes, I sorted.

> - Consider running the test suite in %check

> - %defattr present but not needed

Deleted.
~~~

Thanks,
Comment 19 Dridi Boukelmoune 2014-04-22 11:10:58 EDT
Sorry again,

You've removed too many things in the spec. The %checkout macro wasn't needed, but the %commit and %shortcommit are needed when you get the tarball from github. This part was fine.

Also you've removed the file `%{bashcompdir}/ag` instead of the file `/usr/share/the_silver_searcher/completions/ag.bashcomp.sh`.

Everything else is OK!
Comment 20 Dridi Boukelmoune 2014-04-22 11:20:26 EDT
Just checked, fedora-review still tells me that the tarball in your srpm doesn't match the one from github.
Comment 21 Kenjiro Nakayama 2014-04-22 20:45:47 EDT
Updated

Updated Spec URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher.spec
Updated SRPM URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher-0.21.0-1.fc20.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6767434

> You've removed too many things in the spec. The %checkout macro wasn't needed, but the %commit and %shortcommit are needed when you get the tarball from github. This part was fine.

Added %commit and %shortcommit.

> Also you've removed the file `%{bashcompdir}/ag` instead of the file `/usr/share/the_silver_searcher/completions/ag.bashcomp.sh`.

Added "rm -f $RPM_BUILD_ROOT%{_datadir}/the_silver_searcher/completions/ag.bashcomp.sh"

> Just checked, fedora-review still tells me that the tarball in your srpm doesn't match the one from github.

I fixed. I think OK (and my fedora-review does not say error). Could you please check it again?

Thanks,
Comment 22 Dridi Boukelmoune 2014-04-23 05:09:38 EDT
(In reply to Kenjiro Nakayama from comment #21)
> > Also you've removed the file `%{bashcompdir}/ag` instead of the file `/usr/share/the_silver_searcher/completions/ag.bashcomp.sh`.
> 
> Added "rm -f
> $RPM_BUILD_ROOT%{_datadir}/the_silver_searcher/completions/ag.bashcomp.sh"

You should remove $RPM_BUILD_ROOT%{_datadir}/%{name} instead, because we end up with two empty directories:

$ rpmls 1057991-the_silver_searcher/results/the_silver_searcher-0.21.0-1.fc21.x86_64.rpm 
-rwxr-xr-x  /usr/bin/ag
drwxr-xr-x  /usr/share/bash-completion
drwxr-xr-x  /usr/share/bash-completion/completions
-rw-r--r--  /usr/share/bash-completion/completions/ag
drwxr-xr-x  /usr/share/doc/the_silver_searcher
-rw-r--r--  /usr/share/doc/the_silver_searcher/LICENSE
-rw-r--r--  /usr/share/doc/the_silver_searcher/README.md
-rw-r--r--  /usr/share/man/man1/ag.1.gz
drwxr-xr-x  /usr/share/the_silver_searcher
drwxr-xr-x  /usr/share/the_silver_searcher/completions

See the last 2 lines ? Not very useful.

Other than that, everything else is fine: package approved! I believe you will fix this while importing the package.

Thank you again for bringing ag to Fedora :)
Comment 23 Kenjiro Nakayama 2014-04-23 06:12:53 EDT
Updated

Updated Spec URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher.spec
Updated SRPM URL: http://kenjiro.fedorapeople.org/pkgreview/the_silver_searcher/the_silver_searcher-0.21.0-1.fc20.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6768631

> You should remove $RPM_BUILD_ROOT%{_datadir}/%{name} instead, because we end up with two empty directories:

Yes, you are right.

Added
 rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

and Deleted following line in %files section
 %{_datadir}/the_silver_searcher

---

Thank you so much for your review, Dridi!! I really appreciate it.
And I appreciate Henrik too. ( ̄∇ ̄)b
Comment 24 Kenjiro Nakayama 2014-04-23 06:28:04 EDT
New Package SCM Request
=======================
Package Name: the_silver_searcher
Short Description: Super-fast text searching tool
Owners: kenjiro
Branches: f20 epel7
InitialCC:
Comment 25 Dridi Boukelmoune 2014-04-23 06:37:31 EDT
Please package it for f19 too, that's what I still have on my main machine, waiting for a fix in fedup.

If you don't want to maintain the f19 branch, I will gladly.

I have no idea how to proceed now that you have sent your SCM request.
Comment 26 Kenjiro Nakayama 2014-04-23 06:55:45 EDT
(In reply to Dridi Boukelmoune from comment #25)

OK! I add f19. 

New Package SCM Request
=======================
Package Name: the_silver_searcher
Short Description: Super-fast text searching tool
Owners: kenjiro
Branches: f19 f20 epel7
InitialCC:
Comment 27 Gwyn Ciesla 2014-04-24 08:44:37 EDT
Git done (by process-git-requests).
Comment 28 Fedora Update System 2014-05-01 04:08:56 EDT
the_silver_searcher-0.21.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/the_silver_searcher-0.21.0-1.fc20
Comment 29 Fedora Update System 2014-05-01 04:16:05 EDT
the_silver_searcher-0.21.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/the_silver_searcher-0.21.0-1.fc19
Comment 30 Fedora Update System 2014-05-01 18:21:55 EDT
the_silver_searcher-0.21.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 31 Fedora Update System 2014-05-21 19:19:37 EDT
the_silver_searcher-0.21.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 32 Fedora Update System 2014-05-21 19:29:01 EDT
the_silver_searcher-0.21.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.